<#if ejb3?if_exists>
<#if pojo.isComponent()>
@${pojo.importType("jakarta.persistence.Embeddable")}
<#else>
<#assign uniqueConstraint=pojo.generateAnnTableUniqueConstraint() />
@org.hibernate.annotations.DynamicInsert
@${pojo.importType("jakarta.persistence.Entity")}
@${pojo.importType("jakarta.persistence.Table")}(name = "${clazz.table.name}"<#if uniqueConstraint?has_content == false>)<#else>,
    uniqueConstraints = ${uniqueConstraint?replace("=", " = ")}
)</#if>
</#if>
</#if>